%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           pycryptopp
Version:        0.5.17
Release:        4%{?dist}
Summary:        Python wrappers for the Crypto++ library

Group:          Development/Languages

# we don't use the embedded cryptopp library
# but link against the one in Fedora
# 
# all the files we distribute in the binary rpm
# are GPLv2+ or TGPPL
#
# see copyright for details
License:        GPLv2+

URL:            http://allmydata.org/trac/pycryptopp
Source0:        http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel, cryptopp-devel, python-setuptools

Patch0:         pycryptopp-do_not_regenerate_darcs_stuff.patch

%description
PyCryptopp is a set of Python wrappers for a few
of the best crypto algorithms from the Crypto++ library
(including SHA-256, AES, RSA signatures and Elliptic Curve DSA signatures).

%prep
%setup -q
%patch0 -p1


%build
CFLAGS="%{optflags}" %{__python} setup.py build --disable-embedded-cryptopp


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
rm -rf %{buildroot}%{_docdir}/%{name}/


 
%clean
rm -rf %{buildroot}

%check
CFLAGS="%{optflags}" %{__python} setup.py test

# tests are done, remove them
rm -rf %{buildroot}%{python_sitearch}/%{name}/test/
rm -rf %{buildroot}%{python_sitearch}/%{name}/testvectors/


%files
%defattr(-,root,root,-)
%doc COPYING.GPL COPYING.TGPPL.html README.txt ChangeLog copyright
%{python_sitearch}/*


%changelog
* Mon Nov 16 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.5.17-4
- Initial import into devel

* Wed Nov 11 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.5.17-2
- Review fixes (#521719)

* Thu Sep 24 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.5.17-1
- Upstream released new version

* Mon Sep 14 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.5.15-3
- Review cleanup (#521719)

* Wed Sep 09 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.5.15-2
- Fix segfaults (upstream change #669)

* Tue Sep 08 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.5.15-1
- Initial import

